package com.example.controller;

import com.example.bean.Doctor;
import com.example.bean.RespBean;
import com.example.bean.User;
import com.example.service.DoctorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/doctor")
public class DoctorController
{
    @Autowired
    private DoctorService doctorService;

    @PostMapping("/updateDoctor")
    public RespBean updateDoctor(Doctor doctor)
    {
        int result = doctorService.updateDoctor(doctor);
        if(result == 1)
            return new RespBean("success","更新成功");
        else
            return new RespBean("error","更新失败");
    }

}
